/* Esco-GDM: esco-gdm-config.h
 * 
 * Copyright (C) 2004 James M. Cape <jcape@ignore-your.tv>.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ESCO_GDM_CONFIG_H__
#define __ESCO_GDM_CONFIG_H__

#include <glib.h>

G_BEGIN_DECLS


typedef enum
{
  ESCO_RELAX_PERMS_NONE  = 0,
  ESCO_RELAX_PERMS_GROUP = 1 << 0,
  ESCO_RELAX_PERMS_OTHER = 1 << 1,

  ESCO_RELAX_PERMS_ALL   = 0x3
}
EscoRelaxPermsFlags;


void esco_gdm_config_init (void);
void esco_gdm_config_shutdown (void);

EscoRelaxPermsFlags esco_gdm_config_get_relax_perms (void);
GList *esco_gdm_config_get_excluded_users (void);
gboolean esco_gdm_config_is_user_excluded (const gchar *username);
gchar *esco_gdm_config_get_global_face_dir (void);
gssize esco_gdm_config_get_max_user_size (void);
gulong esco_gdm_config_get_minimal_uid (void);
gboolean esco_gdm_config_get_allow_root (void);

G_END_DECLS

#endif /* __ESCO_GDM_CONFIG_H__ */
