/* Esco-GDM: src/esco-user.h
 * 
 * Copyright (C) 2004 James M. Cape <jcape@ignore-your.tv>.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ESCO_USER_H__
#define __ESCO_USER_H__

#include <pwd.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

G_BEGIN_DECLS


#define ESCO_TYPE_USER \
  (esco_user_get_type ())
#define ESCO_USER(object) \
  (G_TYPE_CHECK_INSTANCE_CAST ((object), ESCO_TYPE_USER, EscoUser))
#define ESCO_USER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), ESCO_TYPE_USER, EscoUserClass))
#define ESCO_IS_USER(object) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((object), ESCO_TYPE_USER))
#define ESCO_IS_USER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), ESCO_TYPE_USER))
#define ESCO_USER_GET_CLASS(object) \
  (G_TYPE_INSTANCE_GET_CLASS ((object), ESCO_TYPE_USER, EscoUserClass))


typedef struct _EscoUser EscoUser;
typedef struct _EscoUserClass EscoUserClass;


GType esco_user_get_type (void) G_GNUC_CONST;

EscoUser *esco_user_new (const gchar *name, gint icon_size);
EscoUser *esco_user_new_from_passwd (const struct passwd *pwent, gint icon_size);
  
void esco_user_set_icon_size (EscoUser *user, gint icon_size);

GdkPixbuf *esco_user_get_icon (EscoUser *user);
G_CONST_RETURN gchar *esco_user_get_name (EscoUser *user);
G_CONST_RETURN gchar *esco_user_get_display_name (EscoUser *user);
G_CONST_RETURN gchar *esco_user_get_home_directory (EscoUser *user);
G_CONST_RETURN GList *esco_user_get_screens (EscoUser *user);
gulong esco_user_get_uid (EscoUser *user);
gint esco_user_get_icon_size (EscoUser *user);


gboolean esco_user_is_visible (const struct passwd *pwent);
gboolean esco_user_name_is_visible (const gchar *username);


G_END_DECLS

#endif /* __ESCO_USER_H__ */
