/* Escobar Libraries: escofilechooserentry.h
 * 
 * Copyright (c) 2004 James M. Cape <jcape@ignore-your.tv>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __ESCO_FILE_CHOOSER_ENTRY_H__
#define __ESCO_FILE_CHOOSER_ENTRY_H__ 1

#include <gtk/gtkhbox.h>

G_BEGIN_DECLS


#define ESCO_TYPE_FILE_CHOOSER_ENTRY \
  (esco_file_chooser_entry_get_type ())
#define ESCO_FILE_CHOOSER_ENTRY(object) \
  (G_TYPE_CHECK_INSTANCE_CAST ((object), ESCO_TYPE_FILE_CHOOSER_ENTRY, EscoFileChooserEntry))
#define ESCO_FILE_CHOOSER_ENTRY_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), ESCO_TYPE_FILE_CHOOSER_ENTRY, EscoFileChooserEntryClass))
#define ESCO_IS_FILE_CHOOSER_ENTRY(object) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((object), ESCO_TYPE_FILE_CHOOSER_ENTRY))
#define ESCO_IS_FILE_CHOOSER_ENTRY_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), ESCO_TYPE_FILE_CHOOSER_ENTRY))
#define ESCO_FILE_CHOOSER_ENTRY_GET_CLASS(object) \
  (G_TYPE_INSTANCE_GET_CLASS ((object), ESCO_TYPE_FILE_CHOOSER_ENTRY, EscoFileChooserEntryClass))


typedef struct _EscoFileChooserEntry EscoFileChooserEntry;
typedef struct _EscoFileChooserEntryPrivate EscoFileChooserEntryPrivate;
typedef struct _EscoFileChooserEntryClass EscoFileChooserEntryClass;

struct _EscoFileChooserEntry
{
  /* <private> */
  GtkHBox parent;

  EscoFileChooserEntryPrivate *_priv;
};

struct _EscoFileChooserEntryClass
{
  /* <private> */
  GtkHBoxClass parent_class;

  void (*__esco_reserved1);
  void (*__esco_reserved2);
  void (*__esco_reserved3);
  void (*__esco_reserved4);
  void (*__esco_reserved5);
  void (*__esco_reserved6);
  void (*__esco_reserved7);
  void (*__esco_reserved8);
};


GType esco_file_chooser_entry_get_type (void) G_GNUC_CONST;

GtkWidget *esco_file_chooser_entry_new (const gchar *title);

void esco_file_chooser_entry_set_title (EscoFileChooserEntry *entry, const gchar *title);
G_CONST_RETURN gchar *esco_file_chooser_entry_get_title (EscoFileChooserEntry *entry);

void esco_file_chooser_entry_set_max_history_size (EscoFileChooserEntry *entry, guint max_size);
guint esco_file_chooser_entry_get_max_history_size (EscoFileChooserEntry *entry);

void esco_file_chooser_entry_add_history (EscoFileChooserEntry *entry, const gchar *filename);
void esco_file_chooser_entry_remove_history (EscoFileChooserEntry *entry, const gchar *filename);
void esco_file_chooser_entry_set_history (EscoFileChooserEntry *entry, GSList *history);
GSList *esco_file_chooser_entry_get_history (EscoFileChooserEntry *entry);


G_END_DECLS

#endif /* __ESCO_FILE_CHOOSER_ENTRY_H__ */
