/* Escobar Libraries: escoimagebutton.h
 * 
 * Copyright (c) 2004 James M. Cape <jcape@ignore-your.tv>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __ESCO_IMAGE_BUTTON_H__
#define __ESCO_IMAGE_BUTTON_H__ 1

#include <gtk/gtktogglebutton.h>

G_BEGIN_DECLS


#define ESCO_TYPE_IMAGE_BUTTON \
  (esco_image_button_get_type ())
#define ESCO_IMAGE_BUTTON(object) \
  (G_TYPE_CHECK_INSTANCE_CAST ((object), ESCO_TYPE_IMAGE_BUTTON, EscoImageButton))
#define ESCO_IMAGE_BUTTON_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), ESCO_TYPE_IMAGE_BUTTON, EscoImageButtonClass))
#define ESCO_IS_IMAGE_BUTTON(object) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((object), ESCO_TYPE_IMAGE_BUTTON))
#define ESCO_IS_IMAGE_BUTTON_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), ESCO_TYPE_IMAGE_BUTTON))
#define ESCO_IMAGE_BUTTON_GET_CLASS(object) \
  (G_TYPE_INSTANCE_GET_CLASS ((object), ESCO_TYPE_IMAGE_BUTTON, EscoImageButtonClass))


typedef struct _EscoImageButton EscoImageButton;
typedef struct _EscoImageButtonPrivate EscoImageButtonPrivate;
typedef struct _EscoImageButtonClass EscoImageButtonClass;

struct _EscoImageButton
{
  /* <private> */
  GtkToggleButton parent;

  EscoImageButtonPrivate *_priv;
};

struct _EscoImageButtonClass
{
  /* <private> */
  GtkToggleButtonClass parent_class;

  void (*__esco_reserved1);
  void (*__esco_reserved2);
  void (*__esco_reserved3);
  void (*__esco_reserved4);
  void (*__esco_reserved5);
  void (*__esco_reserved6);
  void (*__esco_reserved7);
  void (*__esco_reserved8);
};


GType esco_image_button_get_type (void) G_GNUC_CONST;

GtkWidget *esco_image_button_new (const gchar *title);

void esco_image_button_set_title (EscoImageButton *button, const gchar *title);
G_CONST_RETURN gchar *esco_image_button_get_title (EscoImageButton *button);

void esco_image_button_set_minimum_size (EscoImageButton *button, guint min_size);
guint esco_image_button_get_minimum_size (EscoImageButton *button);

void esco_image_button_set_show_label (EscoImageButton *button, gboolean show_label);
gboolean esco_image_button_get_show_label (EscoImageButton *button);


G_END_DECLS

#endif /* !__ESCO_IMAGE_BUTTON_H__ */
